API Keys Reference
GET /api/v1/api-keys
Section titled “GET /api/v1/api-keys”List Api Keys
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
POST /api/v1/api-keys
Section titled “POST /api/v1/api-keys”Create Api Key
Request body (required), application/json, ApiKeyIn
| Field | Type | Required | Description |
|---|---|---|---|
expires_at | string | null | no | |
name | string | yes | |
scopes | string[] | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 201 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/api-keys/{key_id}
Section titled “DELETE /api/v1/api-keys/{key_id}”Revoke Api Key
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
key_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 204 | Successful Response | |
| 422 | Validation Error | HTTPValidationError |